#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-session-3.38.0

- Next

  gnome-user-docs-3.38.2

- Up
- Home

# GDM-3.38.2.1

## Introduction to GDM

GDM is a system service that is responsible for providing graphical logins and managing local and remote displays.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gdm/3.38/gdm-3.38.2.1.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gdm/3.38/gdm-3.38.2.1.tar.xz

- Download MD5 sum: ddc782eaf0b0345ee34fb396f67bd44d

- Download size: 772 KB

- Estimated disk space required: 35 MB

- Estimated build time: 0.2 SBU

### GDM Dependencies

#### Required

AccountsService-0.6.55, GTK+-3.24.25, ISO Codes-4.5.0, itstool-2.0.6, libcanberra-0.30, libdaemon-0.14, and Linux-PAM-1.5.1

#### Optional

keyutils-1.6.1

#### Runtime Dependencies

gnome-session-3.38.0, gnome-shell-3.38.3, and Systemd-247

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gdm

## Installation of GDM

It is recommended to have a dedicated user and group to take control of the gdm daemon after it is started. Issue the following commands as the `root` user:

    groupadd -g 21 gdm &&
    useradd -c "GDM Daemon Owner" -d /var/lib/gdm -u 21 \
            -g gdm -s /bin/false gdm &&
    passwd -ql gdm

Install GDM by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr               \
          -Dplymouth=disabled         \
          -Dgdm-xsession=true         \
          -Dpam-mod-dir=/lib/security .. &&
    ninja

This package does not come with a usable test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dinitial-vt=7`: Use this switch to make GDM start on VT7 instead of the first free VT.

`-Dplymouth=disabled`: GDM now explicitly requires plymouth to be installed. Use this switch to disable this dependency.

`-Ddefault-pam-config=lfs`: Use this switch if you did not create the `/etc/lfs-release` file or distribution auto detection will fail and you will be unable to use GDM.

`-Dgdm-xsession=true`: This enables the installation of the GDM Xsession file.

## Configuring GDM

###

#### Config Files

`/etc/gdm/custom.conf`

###

#### Configuration Information

The GDM daemon is configured using the `/etc/gdm/custom.conf` file. Default values are stored in GSettings in the `gdm.schemas` file. It is recommended that end-users modify the `/etc/gdm/custom.conf` file because the schemas file may be overwritten when the user updates their system to have a newer version of GDM.

###

#### Systemd Unit

To start the gdm daemon at boot, enable the previously installed systemd unit by running the following command as the `root` user:

    systemctl enable gdm

## Contents

Installed Programs: gdm, gdmflexiserver, and gdm-screenshot
Installed Libraries: libgdm.so and pam_gdm.so (PAM Module)
Installed Directories: /etc/gdm, /usr/include/gdm, /usr/share/gdm, /usr/share/help/*/gdm, /var/cache/gdm, /var/lib/gdm, /var/log/gdm, and /var/run/gdm

### Short Descriptions

gdm | is a login prompt for GNOME
gdm-screenshot | is a screenshot tool for GDM

Last updated on 2021-02-25 10:01:25 -0800

- Prev

  gnome-session-3.38.0

- Next

  gnome-user-docs-3.38.2

- Up
- Home